esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_quat_t Struct Reference

Struct to represent unit quaternion. More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_quat_t ()
bno08x_quat_t & | operator= (const sh2_RotationVectorWAcc_t &source)
bno08x_quat_t & | operator= (const sh2_RotationVector_t &source)
bno08x_quat_t & | operator= (const sh2_GyroIntegratedRV_t &source)

## Public Attributes
float | real
float | i
float | j
float | k
float | rad_accuracy
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent unit quaternion.

## Constructor & Destructor Documentation

## ◆ bno08x_quat_t()

bno08x_quat_t::bno08x_quat_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/3]

bno08x_quat_t & bno08x_quat_t::operator= | ( | const sh2_GyroIntegratedRV_t & | source | ) |
| inline

## ◆ operator=() [2/3]

bno08x_quat_t & bno08x_quat_t::operator= | ( | const sh2_RotationVector_t & | source | ) |
| inline

## ◆ operator=() [3/3]

bno08x_quat_t & bno08x_quat_t::operator= | ( | const sh2_RotationVectorWAcc_t & | source | ) |
| inline

## Member Data Documentation

## ◆ accuracy

BNO08xAccuracy bno08x_quat_t::accuracy

## ◆ i

float bno08x_quat_t::i

## ◆ j

float bno08x_quat_t::j

## ◆ k

float bno08x_quat_t::k

## ◆ rad_accuracy

float bno08x_quat_t::rad_accuracy

## ◆ real

float bno08x_quat_t::real

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp